POST api/role/{id}/matches?pageSize={pageSize}&pageNumber={pageNumber}&adjustedAskingPrice={adjustedAskingPrice}&sort={sort}
Get a list of groups that may be interested in this property role Processes this role API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The id of the role to get the group matches for |
integer |
Required |
| pageSize |
Number of results per page |
integer |
Default value is 5 |
| pageNumber |
Page number |
integer |
Default value is 1 |
| adjustedAskingPrice |
Override the asking price to show a different set of potential matches |
decimal number |
None. |
| sort |
Sort order of results |
RoleApplicantMatchSortType |
Default value is ScoreDesc |
Body Parameters
The role applicant match filter data contract supplied with the request.
RoleApplicantMatchFilterDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| Grades |
The collection of grades. |
Collection of string |
None. |
| FinancialStatus |
The collection of financial status. |
Collection of string |
None. |
| ExcludeMailoutDays |
The exclude mailout days value. |
integer |
None. |
| OwningTeamId |
The unique identifier of the related owning team resource. |
integer |
None. |
| BranchIds |
The unique identifiers of the related branch resources. |
Collection of integer |
None. |
| IncludedRoleIds |
The unique identifiers of the related included role resources. |
Collection of integer |
None. |
| ExcludedRoleIds |
The unique identifiers of the related excluded role resources. |
Collection of integer |
None. |
| InterestedRoleIds |
The unique identifiers of the related interested role resources. |
Collection of integer |
None. |
| MinScore |
The min score value. |
integer |
None. |
| MatchSource |
The match source classification. |
GroupPropertyMatchSource |
None. |
Request Formats
application/x-www-form-urlencoded
Sample not available.
application/json, text/json
{
"Grades": [
"sample string 1",
"sample string 2"
],
"FinancialStatus": [
"sample string 1",
"sample string 2"
],
"ExcludeMailoutDays": 1,
"OwningTeamId": 1,
"BranchIds": [
1,
2
],
"IncludedRoleIds": [
1,
2
],
"ExcludedRoleIds": [
1,
2
],
"InterestedRoleIds": [
1,
2
],
"MinScore": 1,
"MatchSource": 0
}
Response Information
Resource Description
A list of applicant match data contracts for each matching group
PagedCollectionDataContractOfRoleApplicantMatchDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount |
The total count value. |
integer |
None. |
| CurrentCount |
The current count value. |
integer |
None. |
| PageSize |
The page size value. |
integer |
None. |
| PageNumber |
The page number value. |
integer |
None. |
| Collection |
The collection of collection. |
Collection of RoleApplicantMatchDataContract |
None. |
Response Formats
application/json
Sample not available.
text/json
Sample not available.